setwd("C:/Users/EDUGUET/FacCours/Cours_2016_2017/M2_M/Duree")
load(file="maserati17.RData")


library(OIsurv)

attach(f2)
durf<-Surv(duree_han,!censure)# dure et indicatrice donne complte
str(durf)
durf
summary(durf)

km<-survfit(durf~1)
str(km)
summary(km)

par(mfrow=c(1,1),mar=c(0,0,0,0)+3,font.main=1,ps=10)

plot(km,main="Estimation Kaplan-Meier",xlab="t",ylab="S(t)")
str(km)


#les complments
st<-km$surv
plot(st)
plot(st,type="s",ylim=c(0,1))

Ht<--log(st)
plot(Ht,lty=1,type="s")#plateau

res<-cbind(km$time,km$surv,km$std.err)#acces par colonnes
binf<-res[,2]*(1-1.96*res[,3])
binf[binf<0]<-0
bsup<-res[,2]*(1+1.96*res[,3])
bsup[bsup>1]<-1
res2<-cbind(res,binf,bsup)
str(res2)
#graphique avec pb d'axe
plot(res2[,1],res2[,2],main="Estimation Kaplan-Meier",
     xlab="t",ylab="S(t)",
     type="s",lty=1,lwd=2)
lines(res2[,1],res2[,4],type="s",lty=2,lwd=1)
lines(res2[,1],res2[,5],type="s",lty=2,lwd=1)


plot(res2[,1],res2[,2],main="Estimation Kaplan-Meier",
     xlab="t",ylab="S(t)",
     type="s",lty=1,lwd=2,
     ylim=c(0,1))
lines(res2[,1],res2[,4],type="s",lty=2,lwd=1)
lines(res2[,1],res2[,5],type="s",lty=2,lwd=1)

#ajouter la premiere ligne
res2<-rbind(c(0,1,0,1,1),res2)
plot(res2[,1],res2[,2],main="Estimation Kaplan-Meier",
     xlab="t",ylab="S(t)",
     type="s",lty=1,lwd=2,
     ylim=c(0,1))
lines(res2[,1],res2[,4],type="s",lty=2,lwd=1)
lines(res2[,1],res2[,5],type="s",lty=2,lwd=1)

#valeur du plateau
min(res[,2])